Subject: Move default columns to a backend_layout configuration
Description

Following the thread

http://lists.typo3.org/pipermail/typo3-team-core/2012-August/052131.html

We came up with a concept of migrating the default 1,0,2,3 column to a backend_layout configuration

This makes it easier to work with the db_layout.php class, as there will be only one way to render the columns.

This task is a part of implementing drag'n'drop functionality, as this will clean up some code output and only have 1(!) markup

Related issues:
related to Core - Bug # 39967: mod.SHARED.colPos_list is not taken into accou... Resolved 2012-08-19
related to Core - Bug # 41659: Duplicate ids in form view on record translation Resolved 2012-10-07

Associated revisions
Revision 8dc5c37d - 2012-08-19 11:13 - Soren Malling

[FEATURE] UI changes to "Page" module

This patch covers the following changes

    -  Move default column layout to a backend_layout configuration (#39603)
    -  Change the db_layout code, to use the default backend_layout (#39603)
    -  Make UI changes to the columns rendering (#38013)

The move of default column layout to a backend_layout
is in order to ease the styling.

Change-Id: Idc888f910f5e6b86d86d15ee0cb8acd5417e9bb9
Fixes: #38013
Fixes: #39603
Releases: 6.0
Reviewed-on: http://review.typo3.org/13510
Reviewed-by: Stefan Neufeind
Tested-by: Philipp Gampe
Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert
History
#1 - 2012-08-08 00:44 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13510

#2 - 2012-08-08 00:51 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13510

#3 - 2012-08-09 16:39 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13510

#4 - 2012-08-10 08:50 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13510

#5 - 2012-08-10 08:53 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13510

#6 - 2012-08-12 11:27 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13510

#7 - 2012-08-18 15:35 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13510

#8 - 2012-08-19 00:26 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13510

#9 - 2012-08-19 11:30 - Soren Malling
- Status changed from Under Review to Resolved
Applied in changeset commit:8dc5c37d7134e889d22b03aa9dccd4f194175895.
